export interface ILoggingTimer {
    logs: string[];
    start: Function;
    stop: Function;
    lap: Function;
}
export interface IOptions {
    name?: string;
    logging?: boolean;
    logger?: {
        log?: Function;
        warn?: Function;
    };
}
declare class LoggingTimer {
    protected checkpoints: number[];
    protected timerName: string;
    protected loggingEnabled: boolean;
    protected logger: {
        log: Function;
        warn: Function;
    };
    constructor(options: IOptions);
    private static getTimestamp;
    private log;
    private warn;
    private get latestCheckpoint();
    private get latestTimeElapsed();
    private get currentLapIndex();
    get logs(): number[];
    start(): void;
    stop(): void;
    lap(): void;
}
export default LoggingTimer;
